[CONFIG]
;Наименование драйвера
ServerName = 'Нативный драйвер Чекопечатающего принтера'

; Все параметры и их значения по-умолчанию
[params]
params[]=PaperWidth
params[]=KKMurl
params[]=PortType
params[]=WindowsUsb
params[]=capability
params[]=codepage
params[]=Exec
params[]=AlwaysExec
params[]=Send
params[]=SetFonts
params[]=TallFont
params[]=WideFont
params[]=vat_type
params[]=vatNo
params[]=vat0
params[]=vat105
params[]=vat5
params[]=vat107
params[]=vat7
params[]=vat110
params[]=vat10
params[]=vat120
params[]=vat20
params[]=repeat

; Описания параметров
; title - название
; description - описание, если необходимо
; group - принадлежность к группе
; default - значение по-умолчанию, отсутствие параметра обазначет, что это раздел
; required - обязательность параметра (1 - обязательный, 0 - небязательный)
; hide - скрытый параметр (1 - да, 0 - нет)

[repeat]
repeat[title]='Кол-во повторов'
repeat[default]=1
repeat[required]=0
repeat[device]='pre,bar,kitchen'

[PaperWidth]
PaperWidth[title]='Кол-во символов на одной строке'
PaperWidth[default]=46
PaperWidth[required]=1

[KKMurl]
KKMurl[title]='Адрес сервера по умолчанию'
KKMurl[description]='Пример: Локальный COM1 или /dev/ttyUSB0, Удаленный http://192.168.0.133:9100, Windows USB smb://COMPUTERNAME/printer'
KKMurl[default]=COM1
KKMurl[required]=1

[PortType]
PortType[title]='Тип соединения'
PortType[type]=select
PortType[options]='{"remote":"Удаленный","local":"Локальный","WindowsUsb":"Windows USB"}'
PortType[default]=local
PortType[required]=1

[WindowsUsb]
WindowsUsb[title]='для WindowsUsb'
WindowsUsb[description]='1. Установите принтер, используя поддержку печати USB и драйвер «Generic / Text Only».<br>2. Пишите в строку подключения smb://COMPUTERNAME/printer<br>, затем поделитесь им (вы можете использовать брандмауэр, чтобы его можно было увидеть только локально).<br>3. Используйте WindowsPrintConnector с именем общего ресурса для печати.<br>4. Устранение неполадок: запустите командную строку и убедитесь, что (если ваш принтер используется как «Принтер чеков») работают следующие команды:<br>echo "Hello World"> testfile<br>copy testfile "\\% COMPUTERNAME% \ Receipt Printer"<br>del testfile'

[capability]
capability[title]='Профиль устройства'
capability[description]='Для Атол RP326 укажите RP326'
capability[default]=''
capability[required]=0

[codepage]
codepage[title]='Страница кодировки'
codepage[description]='17 - CP866, 4 - windows-1251. Либо укажите нужную с тестовой страницы принтера.'
codepage[default]=17
codepage[required]=1

[Exec]
Exec[title]='Настройки COM-порта'
Exec[type]=textarea
Exec[description]='Каждая команда с новой строки.<br>Для Windows: mode COM9 BAUD=19200 PARITY=n data=8 stop=1 xon=off rts=off dtr=off to=on'
Exec[default]=''
Exec[required]=0


;Настройки COM-порта, которые будут исполняться при каждом вызове
[AlwaysExec]
AlwaysExec[title]='Настройки COM-порта, которые будут исполняться при каждом вызове'
AlwaysExec[type]=textarea
AlwaysExec[description]='Каждая команда с новой строки.<br>Для Windows: mode COM9 BAUD=19200 PARITY=n data=8 stop=1 xon=off rts=off dtr=off to=on'
AlwaysExec[default]=''
AlwaysExec[required]=0

[Send]
Send[title]='Команды отправляемые при первом запуске'
Send[type]=textarea
Send[description]='Каждая команда с новой строки.<br>Номер команды;Данные<br>Пример: 17;01d2e5f1f2'
Send[default]=''
Send[required]=0

[SetFonts]
SetFonts['title']='Поддержка шрифтов'

[TallFont]
TallFont[title]='Высокий шрифт'
TallFont[type]=select
TallFont[options]='{"1":"Поддерживается","0":"Не поддерживается"}'
TallFont[default]=1
TallFont[required]=1

[WideFont]
WideFont[title]='Широкий шрифт'
WideFont[type]=select
WideFont[options]='{"1":"Поддерживается","0":"Не поддерживается"}'
WideFont[default]=1
WideFont[required]=1

[vat_type]
vat_type[title]='Номера налогов'
vat_type[hide]=1

[vatNo]
vatNo[title]='Нет НДС'
vatNo[default]=0
vatNo[required]=1
vatNo[group]=vat_type
vatNo[hide]=1

[vat0]
vat0[title]='НДС 0%'
vat0[default]=0
vat0[required]=1
vat0[group]=vat_type
vat0[hide]=1

[vat105]
vat105[title]='НДС 5% начисленные'
vat105[default]=0
vat105[required]=1
vat105[group]=vat_type
vat105[hide]=1

[vat5]
vat5[title]='НДС 5% выделенные'
vat5[default]=0
vat5[required]=1
vat5[group]=vat_type
vat5[hide]=1

[vat107]
vat107[title]='НДС 7% начисленные'
vat107[default]=0
vat107[required]=1
vat107[group]=vat_type
vat107[hide]=1

[vat7]
vat7[title]='НДС 7% выделенные'
vat7[default]=0
vat7[required]=1
vat7[group]=vat_type
vat7[hide]=1

[vat110]
vat110[title]='НДС 10% начисленные'
vat110[default]=0
vat110[required]=1
vat110[group]=vat_type
vat110[hide]=1

[vat10]
vat10[title]='НДС 10% выделенные'
vat10[default]=0
vat10[required]=1
vat10[group]=vat_type
vat10[hide]=1

[vat120]
vat120[title]='НДС 20% начисленные'
vat120[default]=0
vat120[required]=1
vat120[group]=vat_type
vat120[hide]=1

[vat20]
vat20[title]='НДС 20% выделенные'
vat20[default]=0
vat20[required]=1
vat20[group]=vat_type
vat20[hide]=1

[device]
device[]=pre
device[]=kitchen
device[]=bar